var HUMAR = 0;
var HUNEWEARL = 1;
var HUCAST = 2;
var HUCASEAL = 9;
var RAMAR = 3;
var RAMARL = 11;
var RACAST = 4;
var RACASEAL = 5;
var FOMAR = 10;
var FOMARL = 6;
var FONEWM = 7;
var FONEWEARL = 8;
var CLASS_NAME = ["HUmar", "HUnewearl", "HUcast", "RAmar", "RAcast", "RAcaseal", "FOmarl", "FOnewm", "FOnewearl", "HUcaseal", "FOmar", "RAmarl"];

var CLASS_ARRAY_ORDERED = [HUMAR, HUNEWEARL, HUCAST, HUCASEAL, RAMAR, RAMARL, RACAST, RACASEAL, FOMAR, FOMARL, FONEWM, FONEWEARL];

var HUNTER = 0;
var RANGER = 1;
var FORCE = 2;
function getClassType(char_class) {
	switch(char_class) {
		case HUMAR: case HUNEWEARL: case HUCAST: case HUCASEAL:
			return HUNTER;
		case RAMAR: case RAMARL: case RACAST: case RACASEAL:
			return RANGER;
		case FOMAR: case FOMARL: case FONEWM: case FONEWEARL:
			return FORCE;
	}
}
var MALE = 0;
var FEMALE = 1;
function getSex(char_class) {
	switch(char_class) {
		case HUMAR: case HUCAST: case RAMAR: case RACAST: case FOMAR: case FONEWM:
			return MALE;
		case HUNEWEARL: case HUCASEAL: case RAMARL: case RACASEAL: case FOMARL: case FONEWEARL:
			return FEMALE;
	}
}
var HUMAN = 0;
var NEWMAN = 1;
var ANDROID = 2;
function getRace(char_class) {
	switch(char_class) {
		case HUMAR: case RAMAR: case RAMARL: case FOMAR: case FOMARL:
			return HUMAN;
		case HUNEWEARL: case FONEWM: case FONEWEARL:
			return NEWMAN;
		case HUCAST: case HUCASEAL: case RACAST: case RACASEAL:
			return ANDROID;
	}
}

var VIRIDIA = 0;
var GREENILL = 1;
var SKYLY = 2;
var BLUEFULL = 3;
var PURPLENUM = 4;
var PINKAL = 5;
var REDRIA = 6;
var ORAN = 7;
var YELLOWBOZE = 8;
var WHITILL = 9;
var SECTIONID_NAME = ["VIRIDIA", "GREENILL", "SKYLY", "BLUEFULL", "PURPLENUM", "PINKAL", "REDRIA", "ORAN", "YELLOWBOZE", "WHITILL"];

function shifta(lv) {
	if(lv == 0) return 1.0;
	return 0.013 * (lv - 1) + 1.10;
}
function deband(lv) {
	return shifta(lv);
}
