﻿var ACT_NONE = 0;
var ACT_INVINCIBLE = 1;
var ACT_RECOVER = 2;
var ACT_ASSIST = 3;
var ACT_RESURRECT = 4;
var FEATURE_PBMAX = 0;
var FEATURE_DYING = 1;
var FEATURE_BOSS = 2;
var FEATURE_DEAD = 3;
var FEATURE_GROWTH = 4;
var FEATURE_PB = 5;
var FEATURE_MAGNAME = 6;
var PB_NONE = 0;
var PB_ESTLLA = 1;
var PB_FARLLA = 2;
var PB_LEILLA = 3;
var PB_GOLLA = 4;
var PB_PILLA = 5;
var PB_MYLLA_YOULLA = 6;
var MAG = 0;
var VARUNA = 1;
var KALKI = 2;
var VRITRA = 3;
var RUDRA = 4;
var MARUTAH = 5;
var VAYU = 6;
var SURYA = 7;
var MITRA = 8;
var TAPAS = 9;
var SUMBA = 10;
var ASHVINAU = 11;
var NAMUCI = 12;
var KAMA = 13;
var APSARAS = 14;
var GARUDA = 15;
var YAKSA = 16;
var BANA = 17;
var SOMA = 18;
var MADU = 19;
var KAITABHA = 20;
var VARAHA = 21;
var KABANDA = 22;
var DULGER = 23;
var MARICA = 24;
var NAGA = 25;
var BHIRAVA = 26;
var KUMARA = 27;
var ILA = 28;
var ANDHAKA = 29;
var NANDIN = 30;
var USHASU = 31;
var NARAKA = 32;
var RAVANA = 33;
var RIBHAVA = 34;
var SITA = 35;
var SONICI = 36;
var PITRI = 37;
var CHUREL = 38;
var PRETA = 39;
var OPA_OPA = 40;
var PIAN = 41;
var CHAO = 42;
var ROBOCHAO = 43;
var CHU_CHU = 44;
var KAPU_KAPU = 45;
var ANGELS_WING = 46;
var DEVILS_WING = 47;
var DAVILS_TAIL = 48;
var PANZERS_TAIL = 49;
var HAMBURGER = 50;
var MARK3 = 51;
var MASTER_SYSTEM = 52;
var GENESIS = 53;
var SEGA_SATURN = 54;
var DREAMCAST = 55;
var ELENOR = 56;
var DEVA = 57;
var RATI = 58;
var SAVITRI = 59;
var PUSHAN = 60;
var RUKMIN = 61;
var DIWARI = 62;
var NIDRA = 63;
var SATO = 64;
var BHIMA = 65;

var ACTION_NAME = new Array();
ACTION_NAME[0] = ["-", "-", "-"];
ACTION_NAME[1] = ["無敵", "Invincible", "Invincible"];
ACTION_NAME[2] = ["回復", "Recovery", "Recovery"];
ACTION_NAME[3] = ["支援", "Assistance", "Assistance"];
ACTION_NAME[4] = ["蘇生", "Resurrection", "Resurrection"];


var FEATURE_NAME = new Array();
FEATURE_NAME[0] = ["PB Max", "PB Max", "PB Max"];
FEATURE_NAME[1] = ["瀕死", "Dying", "Dying"];
FEATURE_NAME[2] = ["ボス戦", "Boss", "Boss"];
FEATURE_NAME[3] = ["死亡時", "Dead", "Dead"];
FEATURE_NAME[4] = ["成長パターン", "Growth Pattern", "Growth Pattern"];
FEATURE_NAME[5] = ["取得PB", "PB Get", "PB Get"];


var PB_NAME = new Array();
PB_NAME[0] = ["-", "-", "-"];
PB_NAME[1] = ["エストラ", "Estlla", "Estlla"];
PB_NAME[2] = ["ファーラ", "Farlla", "Farlla"];
PB_NAME[3] = ["レイラ", "Leilla", "Leilla"];
PB_NAME[4] = ["ゴウラ", "Golla", "Golla"];
PB_NAME[5] = ["パイラ", "Pilla", "Pilla"];
PB_NAME[6] = ["マイラ&amp;ユウラ", "Mylla&amp;Youlla", "Mylla&amp;Youlla"];

var MAG_DATA = new Array();

MAG_DATA[0] = [0, 0, 0, 0, 0, 0, "マグ", "Mag", "瑪古"];
//第二段階:Lv10-Lv34
MAG_DATA[1] = [1, 0, 3, 0, 1, 2, "ヴァルナ", "Varuna", "伐樓那"];
MAG_DATA[2] = [1, 0, 3, 0, 1, 1, "カルキ", "Kalki", "迦爾吉"];
MAG_DATA[3] = [1, 0, 2, 0, 1, 3, "ヴリトラ", "Vritra", "烏利陀羅"];
//第三段階:Lv35-Lv49
MAG_DATA[4] = [1, 2, 3, 0, 2, 4, "ルドラ", "Rudra", "樓陀羅"];
MAG_DATA[5] = [1, 3, 0, 0, 2, 5, "マルト", "Marutah", "摩樓陀"];
MAG_DATA[6] = [1, 2, 2, 0, 4, 6, "ヴァーユ", "Vayu", "伐由"];
MAG_DATA[7] = [1, 2, 3, 0, 3, 4, "スーリヤ", "Surya", "蘇利耶"];
MAG_DATA[8] = [1, 3, 0, 0, 3, 5, "ミトラ", "Mitra", "密多羅"];
MAG_DATA[9] = [1, 2, 2, 0, 3, 6, "タパス", "Tapas", "塔巴斯"];
MAG_DATA[10] = [1, 2, 3, 0, 2, 4, "シュムバ", "Sumba", "修姆巴"];
MAG_DATA[11] = [1, 3, 0, 0, 2, 5, "アシヴィン", "Ashvinau", "亞希文"];
MAG_DATA[12] = [1, 2, 2, 0, 2, 6, "ナムチ", "Namuci", "那姆奇"];
//第四段階:Lv50-
MAG_DATA[13] = [0, 3, 3, 4, 4, 5, "カーマ", "Kama", "卡瑪"];
MAG_DATA[14] = [1, 1, 1, 4, 4, 1, "アプサラス", "Apsaras", "阿普莎拉絲"];
MAG_DATA[15] = [2, 2, 2, 4, 5, 5, "ガルダ", "Garuda", "迦樓羅"];
MAG_DATA[16] = [1, 2, 3, 4, 5, 4, "ヤクシャ", "Yaksa", "夜叉"];
MAG_DATA[17] = [1, 1, 1, 4, 6, 1, "バーナ", "Bana", "伐那"];
MAG_DATA[18] = [1, 1, 1, 4, 5, 1, "ソーマ", "Soma", "蘇摩"];
MAG_DATA[19] = [1, 2, 3, 4, 6, 6, "マドゥ", "Madu", "瑪度"];
MAG_DATA[20] = [1, 2, 3, 4, 4, 6, "カイタバ", "Kaitabha", "乾達婆"];
MAG_DATA[21] = [1, 2, 3, 4, 4, 4, "ヴァラーハ", "Varaha", "伐羅訶"];
MAG_DATA[22] = [1, 3, 3, 4, 6, 6, "カバンダ", "Kabanda", "迦般達"];
MAG_DATA[23] = [1, 1, 1, 4, 5, 1, "ドゥルガー", "Dulger", "朶羅迦"];
MAG_DATA[24] = [1, 2, 3, 4, 6, 5, "マーリーチャ", "Marica", "摩利支"];
MAG_DATA[25] = [0, 3, 3, 4, 6, 6, "ナーガ", "Naga", "那迦"];
MAG_DATA[26] = [1, 2, 3, 4, 4, 5, "バイラヴァ", "Bhirava", "伐羅婆"];
MAG_DATA[27] = [2, 2, 2, 4, 4, 4, "クマーラ", "Kumara", "鳩摩羅"];
MAG_DATA[28] = [0, 2, 3, 4, 5, 6, "イラー", "Ila", "翼羅"];
MAG_DATA[29] = [1, 2, 3, 4, 6, 1, "アンダカ", "Andhaka", "闇陀迦"];
MAG_DATA[30] = [1, 1, 1, 4, 5, 1, "ナンディン", "Nandin", "難仃"];
MAG_DATA[31] = [1, 2, 3, 4, 4, 4, "ウシャス", "Ushasu", "烏莎斯"];
MAG_DATA[32] = [2, 2, 2, 4, 6, 4, "ナラカ", "Naraka", "那羅迦"];
MAG_DATA[33] = [1, 3, 3, 4, 6, 2, "ラーヴァナ", "Ravana", "羅伐那"];
MAG_DATA[34] = [1, 1, 1, 4, 5, 2, "リヴ", "Ribhava", "梨舞"];
MAG_DATA[35] = [1, 2, 3, 4, 5, 5, "シーター", "Sita", "悉多"];
//アイテム変化レアマグ
MAG_DATA[36] = [1, 1, 1, 4, 8, 0, "ソニチ", "Sonici", "音速兔"];
MAG_DATA[37] = [2, 2, 2, 4, 8, 0, "ピトリ", "Pitri", "皮特利"];
MAG_DATA[38] = [2, 2, 2, 4, 8, 0, "チュレル", "Churel", "啾雷爾"];
MAG_DATA[39] = [3, 3, 3, 4, 8, 0, "プレタ", "Preta", "普雷塔"];
MAG_DATA[40] = [1, 2, 3, 4, 8, 0, "オパオパ", "Opa-Opa", "歐帕歐帕"];
MAG_DATA[41] = [1, 2, 3, 4, 8, 0, "ピアン", "Pian", "皮昴"];
MAG_DATA[42] = [1, 2, 3, 4, 8, 0, "チャオ", "Chao", "巧兒"];
MAG_DATA[43] = [1, 2, 3, 4, 8, 0, "オモチャオ", "Robochao", "巧兒娃娃"];
MAG_DATA[44] = [3, 1, 3, 4, 8, 0, "チュウチュウ", "Chu Chu", "Chu Chu"];
MAG_DATA[45] = [1, 2, 3, 4, 8, 0, "カプカプ", "Kapu Kapu", "Kapu Kapu"];
MAG_DATA[46] = [1, 2, 3, 4, 8, 0, "天使のハネ", "Angel's Wing", "Angel's Wing"];
MAG_DATA[47] = [0, 0, 0, 0, 8, 0, "悪魔のハネ", "Devil's Wing", "Devil's Wing"];
MAG_DATA[48] = [0, 0, 0, 0, 8, 0, "悪魔のシッポ", "Davil's Tail", "Davil's Tail"];
MAG_DATA[49] = [0, 0, 0, 0, 8, 0, "パンサーテイル", "Panzer's Tail", "Panzer's Tail"];
MAG_DATA[50] = [0, 0, 0, 0, 8, 0, "ハンバーガー", "Hamburger", "Hamburger"];
MAG_DATA[51] = [0, 0, 0, 0, 8, 0, "マークIII", "Mark3", "Mark3"];
MAG_DATA[52] = [0, 0, 0, 0, 8, 0, "マスターシステム", "Master System", "Master System"];
MAG_DATA[53] = [0, 0, 0, 0, 8, 0, "メガドライブ", "Genesis", "Genesis"];
MAG_DATA[54] = [0, 0, 0, 0, 8, 0, "セガサターン", "Sega Saturn", "Sega Saturn"];
MAG_DATA[55] = [0, 0, 0, 0, 8, 0, "ドリームキャスト", "Dreamcast", "Dreamcast"];
MAG_DATA[56] = [0, 0, 0, 0, 8, 0, "エルノア", "Elenor", "Elenor"];
//進化型レアマグ:Lv100-
MAG_DATA[57] = [3, 2, 3, 4, 5, 0, "デーヴァ", "Deva", "Deva"];
MAG_DATA[58] = [3, 2, 3, 4, 6, 0, "ラティ", "Rati", "Rati"];
MAG_DATA[59] = [3, 2, 3, 4, 7, 0, "サヴィトリ", "Savitri", "Savitri"];
MAG_DATA[60] = [3, 2, 3, 4, 6, 0, "プーシャン", "Pushan", "Pushan"];
MAG_DATA[61] = [3, 2, 3, 0, 5, 0, "ルクミン", "Rukmin", "Rukmin"];
MAG_DATA[62] = [3, 2, 3, 4, 7, 0, "ディヴァリー", "Diwari", "Diwari"];
MAG_DATA[63] = [1, 1, 1, 4, 7, 0, "ニドラー", "Nidra", "Nidra"];
MAG_DATA[64] = [1, 1, 1, 4, 5, 0, "シャト", "Sato", "Sato"];
MAG_DATA[65] = [3, 1, 1, 0, 6, 0, "ビーマ", "Bhima", "Bhima"];

//pow>dex>mind / pow>mind>dex / dex>pow>mind / dex>mind>pow / mind>pow>dex / mind>dex>pow
var MAG_EVOL_3RD = new Array();
MAG_EVOL_3RD[1] = [4, 4, 5, 5, 6, 6];
MAG_EVOL_3RD[2] = [7, 7, 8, 8, 9, 9];
MAG_EVOL_3RD[3] = [10, 10, 11, 11, 12, 12];
var MAG_EVOL_4TH = new Array();
MAG_EVOL_4TH[HUNTER] = [[21, 13], [26, 14], [28, 15], [30, 16], [22, 17], [31, 18]];
MAG_EVOL_4TH[RANGER] = [[13, 19], [26, 20], [26, 20], [13, 21], [21, 22], [14, 23]];
MAG_EVOL_4TH[FORCE] = [[32, 24], [33, 25], [34, 15], [35, 26], [25, 27], [22, 28]];

var MAG_EVOL_RARE = new Array();
MAG_EVOL_RARE[0] = [[57, 59], [60, 61], [63, 64]];
MAG_EVOL_RARE[1] = [[58, 59], [60, 61], [63, 65]];
MAG_EVOL_RARE[2] = [[58, 59], [60, 62], [63, 65]];
