var UNIT_NONE = 0;
var UNIT_KNIGHT_POWER = 1;
var UNIT_GENERAL_POWER = 2;
var UNIT_OGRE_POWER = 3;
var UNIT_GOD_POWER = 4;
var UNIT_WARRIOR_BODY = 5;
var UNIT_GENERAL_BODY = 6;
var UNIT_METAL_BODY = 7;
var UNIT_GOD_BODY = 8;
var UNIT_PRIEST_MIND = 9;
var UNIT_GENERAL_MIND = 10;
var UNIT_ANGEL_MIND = 11;
var UNIT_GOD_MIND = 12;
var UNIT_MARKSMAN_ARM = 13;
var UNIT_GENERAL_ARM = 14;
var UNIT_ELF_ARM = 15;
var UNIT_GOD_ARM = 16;
var UNIT_THIEF_LEGS = 17;
var UNIT_GENERAL_LEGS = 18;
var UNIT_ELF_LEGS = 19;
var UNIT_GOD_LEGS = 20;
var UNIT_ANGEL_LUCK = 21;
var UNIT_GOD_LUCK = 22;
var UNIT_DIGGER_HP = 23;
var UNIT_GENERAL_HP = 24;
var UNIT_DRAGON_HP = 25;
var UNIT_GOD_HP = 26;
var UNIT_MAGICIAN_TP = 27;
var UNIT_GENERAL_TP = 28;
var UNIT_ANGEL_TP = 29;
var UNIT_GOD_TP = 30;
var UNIT_MASTER_ABILITY = 31;
var UNIT_HERO_ABILITY = 32;
var UNIT_GOD_ABILITY = 33;
var UNIT_NAME = ["Ȃ",
				"iCg^p[", "WFl^p[", "IEK^p[", "Sbh^p[",
				"EHA[^{fB", "WFl^{fB", "^^{fB", "Sbh^{fB",
				"v[Xg^}Ch", "WFl^}Ch", "GWF^}Ch", "Sbh^}Ch",
				"}[NX}^A[", "WFl^A[", "Gt^A[", "Sbh^A[",
				"V[t^OX", "WFl^OX", "Gt^OX", "Sbh^OX",
				"GWF^bN", "Sbh^bN",
				"fBK[^HP", "WFl^HP", "hS^HP", "Sbh^HP",
				"}WV^TP", "WFl^TP", "GWF^TP", "Sbh^TP",
				"}X^[^AreB", "q[[^AreB", "Sbh^AreB"];
var UNIT_DESCRIPTION = ["",
						"U+5", "U+9", "U+15", "U+50",
						"h+10", "h+20", "h+30", "h+50",
						"_+5", "_+9", "_+15", "_+40",
						"+3", "+5", "+7", "+15",
						"+10", "+20", "+30", "+50",
						"^+5", "^+30",
						"HP+10", "HP+20", "HP+40", "HP+80",
						"TP+10", "TP+20", "TP+40", "TP+80",
						"U/h/_//^+5, +0.5",
						"U/h/_//^+10, +1",
						"U/h/_//^+20, +2"];
var UNIT_AMPLITUDE = [0,
					1, 1, 1, 0, //power
					0, 0, 0, 0, //body
					1, 1, 1, 0, //mind
					1, 1, 1, 0, //arm
					2, 2, 2, 0, //legs
					0, 0,       //luck
					0, 0, 0, 0, //hp
					0, 0, 0, 0, //tp
					0, 0, 0];   //ability
var UNIT_DATA = [
	[0, 0, 0, 0, 0, 0, 0, 0], //none
	[0, 0, 5, 0, 0, 0, 0, 0], //power
	[0, 0, 9, 0, 0, 0, 0, 0],
	[0, 0, 15, 0, 0, 0, 0, 0],
	[0, 0, 50, 0, 0, 0, 0, 0],
	[0, 0, 0, 10, 0, 0, 0, 0], //defence
	[0, 0, 0, 20, 0, 0, 0, 0],
	[0, 0, 0, 30, 0, 0, 0, 0],
	[0, 0, 0, 50, 0, 0, 0, 0],
	[0, 0, 0, 0, 5, 0, 0, 0], //mind
	[0, 0, 0, 0, 9, 0, 0, 0],
	[0, 0, 0, 0, 15, 0, 0, 0],
	[0, 0, 0, 0, 40, 0, 0, 0],
	[0, 0, 0, 0, 0, 3, 0, 0], //hit
	[0, 0, 0, 0, 0, 5, 0, 0],
	[0, 0, 0, 0, 0, 7, 0, 0],
	[0, 0, 0, 0, 0, 15, 0, 0],
	[0, 0, 0, 0, 0, 0, 10, 0], //evade
	[0, 0, 0, 0, 0, 0, 20, 0],
	[0, 0, 0, 0, 0, 0, 30, 0],
	[0, 0, 0, 0, 0, 0, 50, 0],
	[0, 0, 0, 0, 0, 0, 0, 5], //luck
	[0, 0, 0, 0, 0, 0, 0, 30],
	[10, 0, 0, 0, 0, 0, 0, 0], //hp
	[20, 0, 0, 0, 0, 0, 0, 0],
	[40, 0, 0, 0, 0, 0, 0, 0],
	[80, 0, 0, 0, 0, 0, 0, 0],
	[0, 10, 0, 0, 0, 0, 0, 0], //tp
	[0, 20, 0, 0, 0, 0, 0, 0],
	[0, 40, 0, 0, 0, 0, 0, 0],
	[0, 80, 0, 0, 0, 0, 0, 0],
	[0, 0, 5, 5, 5, 0.5, 5, 5], //all
	[0, 0, 10, 10, 10, 1, 10, 10],
	[0, 0, 20, 20, 20, 2, 20, 20]
];
