function setSecID() {
	var charname = document.f.charname.value;
	if(charname == "") {
		document.f.result.value = "";
		return;
	}
	var klass = parseInt(getRadioValue("f", "klass"));
	document.f.result.value = SECTIONID_NAME[getSecID(charname, klass)];
}
function setExpectedChars() {
	var charname = document.f.charname.value;
	var klass = parseInt(getRadioValue("f", "klass"));
	var id = parseInt(getRadioValue("f", "id"));
	var charGroups = new Array();
	var switches, groups;
	
	switch(document.f.mode.value) {
		case "simple":
			switches = ["sim_latin", "sim_hira_kata", "sim_greek_cyrillic", "sim_symbol", "sim_cjk_uni"];
			groups = [SET_LATIN, SET_HIRAGANA_KATAKANA, SET_GREEK_CYRILLIC, SET_SYMBOLS, SET_CJK_UNIFIED];
			break;
		case "detail":
			switches = ["det_basic_latin", "det_latin_ext_a", "det_latin_ext_b",
				"det_greek_coptic", "det_cyrill", "det_armenian",
				"det_hebrew", "det_arabic", "det_devanagari",
				"det_gurmukhi", "det_gujarati", "det_tamil",
				"det_telugu", "det_kannada", "det_thai",
				"det_georgian", "det_hangul_jamo", "det_punctuation",
				"det_sup_sub", "det_currency", "det_letterlike",
				"det_number", "det_arrow", "det_mathematical",
				"det_technical", "det_enclosed_alpha", "det_box",
				"det_block", "det_misc_symbol", "det_dingbat",
				"det_cjk_symbol", "det_hiragana", "det_katakana",
				"det_bopomofo", "det_hangul_compat_jamo", "det_kanbun",
				"det_enclosed_cjk", "det_cjk_compatibility", "det_cjk_unified",
				"det_hangul", "det_cjk_compat_ideograph", "det_cjk_compat_form",
				"det_small", "det_half_and_full"];
			groups = [[U_BASIC_LATIN_WITHOUT_CONTROLS], [U_LATIN_EXTENDED_A], [U_LATIN_EXTENDED_B],
				[U_GREEK_AND_COPTIC], [U_CYRILLIC, U_CYRILLIC_SUPPLEMENTARY], [U_ARMENIAN],
				[U_HEBREW], [U_ARABIC], [U_DEVANAGARI],
				[U_GURMUKHI], [U_GUJARATI], [U_TAMIL],
				[U_TELUGU], [U_KANNADA], [U_THAI],
				[U_GEORGIAN], [U_HANGUL_JAMO], [U_GENERAL_PUNCTUATION],
				[U_SUPERSCRIPTS_AND_SUBSCRIPTS], [U_CURRENCY_SYMBOLS], [U_LETTERLIKE_SYMBOLS],
				[U_NUMBER_FORMS], [U_ARROWS], [U_MATHEMATICAL_OPERATORS],
				[U_MISCELLANEOUS_TECHNICAL], [U_ENCLOSED_ALPHANUMERICS], [U_BOX_DRAWING],
				[U_BLOCK_ELEMENTS], [U_MISCELLANEOUS_SYMBOLS], [U_DINGBATS],
				[U_CJK_SYMBOLS_AND_PUNCTUATION], [U_HIRAGANA], [U_KATAKANA],
				[U_BOPOMOFO], [U_HANGUL_COMPATIBILITY_JAMO], [U_KANBUN],
				[U_ENCLOSED_CJK_LETTERS_AND_MONTHS], [U_CJK_COMPATIBILITY], [U_CJK_UNIFIED_IDEOGRAPHS],
				[U_HANGUL_SYLLABLES], [U_CJK_COMPATIBILITY_IDEOGRAPHS], [U_CJK_COMPATIBILITY_FORMS],
				[U_SMALL_FORM_VARIANTS], [U_HALFWIDTH_AND_FULLWIDTH_FORMS]]; 
			break;
	}
	for(var i = 0; i < switches.length; i++) {
		if(document.f[switches[i]].checked)
			charGroups = charGroups.concat(groups[i]);
	}
	document.f.resultex.value = getExpectedChars(klass, id, charGroups, charname);
}

function changeMode(mode) {
	switch(mode) {
		case "simple":
			document.getElementById("switch_detail").style.display = "none";
			document.getElementById("switch_simple").style.display = "block";
			break;
		case "detail":
			document.getElementById("switch_simple").style.display = "none";
			document.getElementById("switch_detail").style.display = "block";
			break;
		default: return;
	}
	document.f.mode.value = mode;
}
