var TEXTCOLOR_NORMAL = "#efffff";
var TEXTCOLOR_ALERT = "#f77";
//winter_pink style.
//var TEXTCOLOR_NORMAL = "#311";
//var TEXTCOLOR_ALERT = "#f77";
var KEY_NAME = "status"
var ch;

function init() {
	ch = new Character(HUMAR, VIRIDIA);
	initializeControls();
	
	var q = Query[KEY_NAME];
	if(q) loadStatus(q);
	else updateStatus();
}

function updateStatus(formname, ctrname) {
	inputStatus(formname, ctrname);
	ch.recalc();
	redrawStatus();
	updateShiftaDeband();
}

function inputStatus(formname, ctrname) {
	if(formname != undefined && ctrname != undefined) {
		var ctrl = document[formname][ctrname];
		if(isNaN(parseInt(ctrl.value)) || parseInt(ctrl.value) < 0) ctrl.value = 0;
		else ctrl.value = parseInt(ctrl.value);
	}
	ch.klass = parseInt(getSelectValue("status", "klass"));
	ch.level = parseInt(getSelectValue("status", "level"));
	ch.material = [document.status.mtrl_hp.value, document.status.mtrl_tp.value,
	               document.status.mtrl_atk.value, document.status.mtrl_def.value,
	               document.status.mtrl_mind.value, 0,
	               document.status.mtrl_evd.value, document.status.mtrl_luck.value];
	ch.mag = [document.status.mag_def.value, document.status.mag_atk.value,
	          document.status.mag_hit.value, document.status.mag_mind.value];
	
	ch.weapon_motion = parseInt(getSelectValue("status", "equip_weapon_motion"));
	ch.weapon = parseInt(getSelectValue("status", "equip_weapon"));
	ch.weapon_enh = parseInt(document.status.equip_weapon_enh.value);
	ch.weapon_hit = parseInt(getSelectValue("status", "equip_weapon_hit"));
	ch.armor = parseInt(getSelectValue("status", "equip_armor"));
	ch.armor_def = parseInt(document.status.equip_armor_def.value);
	ch.armor_evd = parseInt(document.status.equip_armor_evd.value);
	ch.shield = parseInt(getSelectValue("status", "equip_shield"));
	ch.shield_def = parseInt(document.status.equip_shield_def.value);
	ch.shield_evd = parseInt(document.status.equip_shield_evd.value);
	ch.unit = [parseInt(getSelectValue("status", "unit0")),
	           parseInt(getSelectValue("status", "unit1")),
	           parseInt(getSelectValue("status", "unit2")),
	           parseInt(getSelectValue("status", "unit3"))];
	ch.unit_adjust = [parseInt(getSelectValue("status", "unit0_mod")),
	                  parseInt(getSelectValue("status", "unit1_mod")),
	                  parseInt(getSelectValue("status", "unit2_mod")),
	                  parseInt(getSelectValue("status", "unit3_mod"))];
}

function redrawStatus() {
	for(var i = 0; i< ch.unit.length; i++)
		document.getElementById("unit" + i.toString() + "desc").innerHTML = ch.getUnit[i].getShortDescription();
	document.getElementById("equip_weapon_desc").innerHTML = ch.getWeapon.getShortDescription();
	document.getElementById("equip_armor_desc").innerHTML = ch.getArmor.getShortDescription();
	document.getElementById("equip_shield_desc").innerHTML = ch.getShield.getShortDescription();

	var base = ch.baseStatus;
	var txt_base = ["base_hp", "base_tp", "base_atk", "base_def", "base_mind", "base_hit", "base_evd", "base_luck"];
	var unit = ch.innerEquipment;
	var txt_unit = ["unit_hp", "unit_tp", "unit_atk", "unit_def", "unit_mind", "unit_hit", "unit_evd", "unit_luck"];
	var sum = ch.innerStatus;
	var txt_sum = ["sum_hp", "sum_tp", "sum_atk", "sum_def", "sum_mind", "sum_hit", "sum_evd", "sum_luck"];
	var lim = ch.statusLimit;
	var txt_lim = ["lim_hp", "lim_tp", "lim_atk", "lim_def", "lim_mind", "lim_hit", "lim_evd", "lim_luck"];
	var diff = ch.statusDiff;
	var txt_diff = ["diff_hp", "diff_tp", "diff_atk", "diff_def", "diff_mind", "diff_hit", "diff_evd", "diff_luck"];
	var equip = ch.outerEquipment;
	var txt_equip = [null, null, "equip_atk", "equip_def", null, "equip_hit", "equip_evd", null];
	var gtotal = ch.outerStatus;
	var txt_gtotal = ["total_hp", "total_tp", "total_atk", "total_def", "total_mind", "total_hit", "total_evd", "total_luck"];
	
	for(var i = 0; i < base.length; i++) {
		with(document) {
			status[txt_base[i]].value = base[i];
			status[txt_unit[i]].value = unit[i];
			status[txt_sum[i]].value = sum[i];
			status[txt_lim[i]].value = (lim[i] == -1)? "-" : lim[i];
			status[txt_diff[i]].value = diff[i];
			status[txt_diff[i]].style.color = (diff[i] > 0)? TEXTCOLOR_ALERT : TEXTCOLOR_NORMAL;
			if(txt_equip[i] != null)
				status[txt_equip[i]].value = equip[i];
			status[txt_gtotal[i]].value = gtotal[i];
		}
	}
	
	with(document.status) {
		var mag_max = 200;
		magsum.value = ch.getMagLevelSum().toString() + " / " + mag_max.toString();
		magsum.style.color = (ch.getMagLevelSum() > mag_max)? TEXTCOLOR_ALERT : TEXTCOLOR_NORMAL;
		mtrlsum_all.value = ch.getMaterialSum().toString() + " / " + ch.getMaterialLimit().toString();
		mtrlsum_all.style.color = (ch.getMaterialSum() > ch.getMaterialLimit())? TEXTCOLOR_ALERT : TEXTCOLOR_NORMAL;
		mtrlsum_hp.value = ch.material[STATUS_HP].toString() + " / " + ch.getMaterialLimit("hp").toString();
		mtrlsum_hp.style.color = (ch.material[STATUS_HP] > ch.getMaterialLimit("hp"))? TEXTCOLOR_ALERT : TEXTCOLOR_NORMAL;
		mtrlsum_tp.value = ch.material[STATUS_TP].toString() + " / " + ch.getMaterialLimit("tp").toString();
		mtrlsum_tp.style.color = (ch.material[STATUS_TP] > ch.getMaterialLimit("tp"))? TEXTCOLOR_ALERT : TEXTCOLOR_NORMAL;
		
		equip_weapon_enh_max.value = "/ " + ch.getWeapon.max_enh_atk;
		var a = ch.getArmor;
		equip_armor_def_max.value = "/ " + a.max_enh_def;
		equip_armor_evd_max.value = "/ " + a.max_enh_evd;
		var s = ch.getShield;
		equip_shield_def_max.value = "/ " + s.max_enh_def;
		equip_shield_evd_max.value = "/ " + s.max_enh_evd;
		
		var res = ch.resistanceSum;
		res_fire.value = res[0];
		res_ice.value = res[1];
		res_thunder.value = res[2];
		res_light.value = res[3];
		res_darkness.value = res[4];
	}
	
	setEquipmentSelect("status", "equip_weapon", ch.weapon_motion);
	setEquipmentSelect("status", "equip_armor", ITEMTYPE_ARMOR);
	setEquipmentSelect("status", "equip_shield", ITEMTYPE_SHIELD);
	for(var i = 0; i < ch.unit.length; i++)
		setEquipmentSelect("status", "unit" + i.toString(), ITEMTYPE_UNIT);
}

function addValue(formname, ctrname, val) {
	var ctrl = document[formname][ctrname];
	ctrl.value = parseInt(ctrl.value) + val;
	if(ctrl.value < 0) ctrl.value = 0;
	updateStatus();
}
function clearForm(formname) {
	document[formname].reset.click();
	var sel = document[formname]["equip_weapon_hit"];
	if(sel != undefined) sel.value = 0;
	updateStatus();
}
function clearUnit() {
	with(document.status) {
		unit0.value = 0;
		unit1.value = 0;
		unit2.value = 0;
		unit3.value = 0;
		unit0_mod.value = 0;
		unit1_mod.value = 0;
		unit2_mod.value = 0;
		unit3_mod.value = 0;
		equip_weapon_motion.value = 0;
		equip_weapon.value = 0;
		equip_weapon_enh.value = 0;
		equip_weapon_hit.value = 0;
		equip_armor.value = 0;
		equip_armor_def.value = 0;
		equip_armor_evd.value = 0;
		equip_shield.value = 0;
		equip_shield_def.value = 0;
		equip_shield_evd.value = 0;
	}
	
	updateStatus();
}
function clearMag() {
	with(document.status) {
		mag_atk.value = 0;
		mag_def.value = 0;
		mag_mind.value = 0;
		mag_hit.value = 0;
	}
	updateStatus();
}
function clearMaterial() {
	with(document.status) {
		mtrl_hp.value = 0;
		mtrl_tp.value = 0;
		mtrl_atk.value = 0;
		mtrl_def.value = 0;
		mtrl_mind.value = 0;
		mtrl_evd.value = 0;
		mtrl_luck.value = 0;
	}
	updateStatus();
}

function saveStatus() {
	var param = getRadioValue("saveslot", "slot");
	var val = ch.toCookie();
	Cookie.set(param, val);
}
function loadStatus(q) {
	var param = getRadioValue("saveslot", "slot");
	var ck;
	if(q == undefined) ck = Cookie[param];
	else ck = q;
	if(ck == undefined || ck == "") return;
	
	if(ch.loadCookie(ck)) {
		ch.recalc();
		with(document.status) {
			klass.value = ch.klass;
			level.value = ch.level;
			mag_atk.value = ch.mag[1];
			mag_def.value = ch.mag[0];
			mag_mind.value = ch.mag[3];
			mag_hit.value = ch.mag[2];
			mtrl_hp.value = ch.material[STATUS_HP];
			mtrl_tp.value = ch.material[STATUS_TP];
			mtrl_atk.value = ch.material[STATUS_ATK];
			mtrl_def.value = ch.material[STATUS_DEF];
			mtrl_mind.value = ch.material[STATUS_MIND];
			mtrl_evd.value = ch.material[STATUS_EVD];
			mtrl_luck.value = ch.material[STATUS_LUCK];
			equip_weapon_motion.value = ch.weapon_motion;
			setEquipmentSelect("status", "equip_weapon", ch.weapon_motion);
			setEquipmentSelect("status", "equip_armor", ITEMTYPE_ARMOR);
			setEquipmentSelect("status", "equip_shield", ITEMTYPE_SHIELD);
			equip_weapon.value = ch.weapon;
			equip_weapon_enh.value = ch.weapon_enh;
			equip_weapon_hit.value = ch.weapon_hit;
			equip_armor.value = ch.armor;
			equip_armor_def.value = ch.armor_def;
			equip_armor_evd.value = ch.armor_evd;
			equip_shield.value = ch.shield;
			equip_shield_def.value = ch.shield_def;
			equip_shield_evd.value = ch.shield_evd;
			for(var i = 0; i < ch.unit.length; i++) {
				setEquipmentSelect("status", "unit" + i.toString(), ITEMTYPE_UNIT);
				document.status["unit" + i.toString()].value = ch.unit[i];
				document.status["unit" + i.toString() + "_mod"].value = ch.unit_adjust[i];
			}
		}
		redrawStatus();
		updateShiftaDeband();
	}
}

function popupSaveData(e, key) {
	var ck = Cookie[key];
	if(ck == undefined || ck == "") return;
	
	var temp_ch = new Character();
	if(!temp_ch.loadCookie(ck)) return;
	var msg = CLASS_NAME[temp_ch.klass] + "<br />Lv " + temp_ch.level.toString();
	showPopup(e, msg, 10, -60);
}

function getStatusURI() {
	var ck = ch.toCookie();
	return location.protocol + "//" + location.hostname + location.pathname + "?" + KEY_NAME + "=" + ck;
}
function setURI(formname, ctrname) {
	var uri = getStatusURI();
	if(window.clipboardData) window.clipboardData.setData("text", uri);
	document[formname][ctrname].value = getStatusURI();
}

function setEquipmentSelect(formname, ctrname, item_type) {
	var prev_val = parseInt(getSelectValue(formname, ctrname));
	var sel = document[formname][ctrname];
	for(var i = sel.options.length - 1; i >= 0; i--) sel.options[i] = null;
	
	for(var i = 0; i < ITEM[item_type].length; i++) {
		var item = new PSOItem(item_type, i);
		if(item.equipableFor(ch)) {
			opt = new Option(item.name);
			opt.value = i.toString();
			opt.selected = (i == prev_val)
			sel.options[sel.options.length] = opt
		}
	}
}

function updateShiftaDeband() {
	with(document.status) {
		var base = ch.innerStatus;
		shifta_base.value = base[STATUS_ATK];
		deband_base.value = base[STATUS_DEF];
		var rate_sh = shifta(parseInt(getSelectValue("status", "shifta_lv")));
		var rate_de = deband(parseInt(getSelectValue("status", "deband_lv")));
		shifta_rate.value = rate_sh;
		deband_rate.value = rate_de;
		var eq = ch.outerEquipment;
		shifta_equip.value = eq[STATUS_ATK];
		deband_equip.value = eq[STATUS_DEF];
		
		shifta_sum.value = Math.floor(base[STATUS_ATK] * rate_sh + eq[STATUS_ATK]);
		deband_sum.value = Math.floor(base[STATUS_DEF] * rate_de + eq[STATUS_DEF]);
	}
}

function initializeControls() {
	var tmp_ary = new Array();
	for(var i = 0; i < CLASS_ARRAY_ORDERED.length; i++) tmp_ary.push(CLASS_NAME[CLASS_ARRAY_ORDERED[i]]);
	setOptions("status", "klass", CLASS_ARRAY_ORDERED, tmp_ary, HUMAR);
	
	var tmp_ary = new Array();
	for(i = 5; i <= 200; i += 5) tmp_ary.push(i);
	tmp_ary.unshift(1);
	setOptions("status", "level", tmp_ary, tmp_ary, 1);
	
	var tmp_ary = new Array();
	for(var i = 0; i < ITEMTYPE_NAME.length; i++) tmp_ary.push(i);
	setOptions("status", "equip_weapon_motion", tmp_ary, ITEMTYPE_NAME, ITEMTYPE_SABER);
	
	var tmp_ary = new Array();
	for(var i = -5; i <= 100; i += 5) tmp_ary.push(i);
	setOptions("status", "equip_weapon_hit", tmp_ary, tmp_ary, 0);
	
	for(var i = 0; i < 4; i++) {
		var sel_unitname = "unit" + i.toString();
		var sel_unitmod = sel_unitname + "_mod";
		
//		for(var j = 0; j < ITEM[ITEMTYPE_UNIT].length; j++) {
//			var opt = new Option(ITEM[ITEMTYPE_UNIT][j][0]);
//			opt.value = j;
//			opt.selected = (j == 0);
//			document.status[sel_unitname].options[j] = opt;
//		}
		
		var symbols = ["--", "-", "0", "+", "++"];
		var tmp_ary = new Array();
		for(var j = 0; j < symbols.length; j++) tmp_ary.push(j - 2);
		setOptions("status", sel_unitmod, tmp_ary, symbols, 0);
	}

	var tmp_ary = new Array();
	for(var i = 0; i <= 81; i++) tmp_ary.push(i);
	setOptions("status", "shifta_lv", tmp_ary, tmp_ary, 0);
	setOptions("status", "deband_lv", tmp_ary, tmp_ary, 0);
}

function setOptions(formname, ctrname, values, texts, default_val) {
	for(var i = 0; i < values.length; i++) {
		var opt = new Option(texts[i]);
		opt.value = values[i];
		opt.selected = values[i] == default_val;
		document[formname][ctrname].options[i] = opt;
	}
}
