function Cookie() {}
function parseCookie() {
	var ck = document.cookie;
	var reg = /([0-9a-zA-Z_%]+)=([0-9a-zA-Z_%]*)/g;
	while(true) {
		var f = reg.exec(ck);
		if(!f) break;
		Cookie[f[1]] = f[2];
	}
}
parseCookie();

Cookie.set = function(key, val, expires) {
	var host = document.location.hostname;
	var path = document.location.pathname;
	path = path.substring(0, path.lastIndexOf("/"));
	if(!expires) {
		expires = new Date();
		expires.setUTCFullYear(expires.getUTCFullYear() + 5);
	}
	var ck = key + "=" + val + "; " +
	         "domain=" + host + "; " +
	         "path=" + path + "; " +
	         "expires=" + expires.toGMTString() + "; ";
	document.cookie = ck;
	parseCookie();
}
