﻿var ACT_NONE = 0;
var ACT_INVINCIBLE = 1;
var ACT_RECOVER = 2;
var ACT_ASSIST = 3;
var ACT_RESURRECT = 4;

var ACTION_NAME = new Array();
ACTION_NAME[ACT_NONE] = ["-", "-", "-"];
ACTION_NAME[ACT_INVINCIBLE] = ["無敵", "Invincible", "Invincible"];
ACTION_NAME[ACT_RECOVER] = ["回復", "Recovery", "Recovery"];
ACTION_NAME[ACT_ASSIST] = ["支援", "Assistance", "Assistance"];
ACTION_NAME[ACT_RESURRECT] = ["蘇生", "Resurrection", "Resurrection"];

var FEATURE_PBMAX = 0;
var FEATURE_DYING = 1;
var FEATURE_BOSS = 2;
var FEATURE_DEAD = 3;
var FEATURE_GROWTH = 4;
var FEATURE_PB = 5;
var FEATURE_MAGNAME = 6;

var FEATURE_NAME = new Array();
FEATURE_NAME[FEATURE_PBMAX] = ["PB Max", "PB Max", "PB Max"];
FEATURE_NAME[FEATURE_DYING] = ["瀕死", "Dying", "Dying"];
FEATURE_NAME[FEATURE_BOSS] = ["ボス戦", "Boss", "Boss"];
FEATURE_NAME[FEATURE_DEAD] = ["死亡時", "Dead", "Dead"];
FEATURE_NAME[FEATURE_GROWTH] = ["成長パターン", "Growth Pattern", "Growth Pattern"];
FEATURE_NAME[FEATURE_PB] = ["取得PB", "PB Get", "PB Get"];

var PB_NONE = 0;
var PB_ESTLLA = 1;
var PB_FARLLA = 2;
var PB_LEILLA = 3;
var PB_GOLLA = 4;
var PB_PILLA = 5;
var PB_MYLLA_YOULLA = 6;

var PB_NAME = new Array();
PB_NAME[PB_NONE] = ["-", "-", "-"];
PB_NAME[PB_ESTLLA] = ["エストラ", "Estlla", "Estlla"];
PB_NAME[PB_FARLLA] = ["ファーラ", "Farlla", "Farlla"];
PB_NAME[PB_LEILLA] = ["レイラ", "Leilla", "Leilla"];
PB_NAME[PB_GOLLA] = ["ゴウラ", "Golla", "Golla"];
PB_NAME[PB_PILLA] = ["パイラ", "Pilla", "Pilla"];
PB_NAME[PB_MYLLA_YOULLA] = ["マイラ&amp;ユウラ", "Mylla&amp;Youlla", "Mylla&amp;Youlla"];

var MAG_DATA = new Array();

var MAG = 0;
MAG_DATA[MAG] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 0, PB_NONE, "マグ", "Mag", "瑪古"];
//第二段階:Lv10-Lv34
var VARUNA = 1;
var KALKI = 2;
var VRITRA = 3;
MAG_DATA[VARUNA] = [ACT_INVINCIBLE, ACT_NONE, ACT_ASSIST, ACT_NONE, 1, PB_FARLLA, "ヴァルナ", "Varuna", "伐樓那"];
MAG_DATA[KALKI] = [ACT_INVINCIBLE, ACT_NONE, ACT_ASSIST, ACT_NONE, 1, PB_ESTLLA, "カルキ", "Kalki", "迦爾吉"];
MAG_DATA[VRITRA] = [ACT_INVINCIBLE, ACT_NONE, ACT_RECOVER, ACT_NONE, 1, PB_LEILLA, "ヴリトラ", "Vritra", "烏利陀羅"];
//第三段階:Lv35-Lv49
var RUDRA = 4;
var MARUTAH = 5;
var VAYU = 6;
var SURYA = 7;
var MITRA = 8;
var TAPAS = 9;
var SUMBA = 10;
var ASHVINAU = 11;
var NAMUCI = 12;
MAG_DATA[RUDRA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_NONE, 2, PB_GOLLA, "ルドラ", "Rudra", "樓陀羅"];
MAG_DATA[MARUTAH] = [ACT_INVINCIBLE, ACT_ASSIST, ACT_NONE, ACT_NONE, 2, PB_PILLA, "マルト", "Marutah", "摩樓陀"];
MAG_DATA[VAYU] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_RECOVER, ACT_NONE, 4, PB_MYLLA_YOULLA, "ヴァーユ", "Vayu", "伐由"];
MAG_DATA[SURYA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_NONE, 3, PB_GOLLA, "スーリヤ", "Surya", "蘇利耶"];
MAG_DATA[MITRA] = [ACT_INVINCIBLE, ACT_ASSIST, ACT_NONE, ACT_NONE, 3, PB_PILLA, "ミトラ", "Mitra", "密多羅"];
MAG_DATA[TAPAS] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_RECOVER, ACT_NONE, 3, PB_MYLLA_YOULLA, "タパス", "Tapas", "塔巴斯"];
MAG_DATA[SUMBA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_NONE, 2, PB_GOLLA, "シュムバ", "Sumba", "修姆巴"];
MAG_DATA[ASHVINAU] = [ACT_INVINCIBLE, ACT_ASSIST, ACT_NONE, ACT_NONE, 2, PB_PILLA, "アシヴィン", "Ashvinau", "亞希文"];
MAG_DATA[NAMUCI] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_RECOVER, ACT_NONE, 2, PB_MYLLA_YOULLA, "ナムチ", "Namuci", "那姆奇"];
//第四段階:Lv50-
var KAMA = 13;
var APSARAS = 14;
var GARUDA = 15;
var YAKSA = 16;
var BANA = 17;
var SOMA = 18;
var MADU = 19;
var KAITABHA = 20;
var VARAHA = 21;
var KABANDA = 22;
var DULGER = 23;
var MARICA = 24;
var NAGA = 25;
var BHIRAVA = 26;
var KUMARA = 27;
var ILA = 28;
var ANDHAKA = 29;
var NANDIN = 30;
var USHASU = 31;
var NARAKA = 32;
var RAVANA = 33;
var RIBHAVA = 34;
var SITA = 35;
MAG_DATA[KAMA] = [ACT_NONE, ACT_ASSIST, ACT_ASSIST, ACT_RESURRECT, 4, PB_PILLA, "カーマ", "Kama", "卡瑪"];
MAG_DATA[APSARAS] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 4, PB_ESTLLA, "アプサラス", "Apsaras", "阿普莎拉絲"];
MAG_DATA[GARUDA] = [ACT_RECOVER, ACT_RECOVER, ACT_RECOVER, ACT_RESURRECT, 5, PB_PILLA, "ガルダ", "Garuda", "迦樓羅"];
MAG_DATA[YAKSA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 5, PB_GOLLA, "ヤクシャ", "Yaksa", "夜叉"];
MAG_DATA[BANA] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 6, PB_ESTLLA, "バーナ", "Bana", "伐那"];
MAG_DATA[SOMA] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 5, PB_ESTLLA, "ソーマ", "Soma", "蘇摩"];
MAG_DATA[MADU] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 6, PB_MYLLA_YOULLA, "マドゥ", "Madu", "瑪度"];
MAG_DATA[KAITABHA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 4, PB_MYLLA_YOULLA, "カイタバ", "Kaitabha", "乾達婆"];
MAG_DATA[VARAHA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 4, PB_GOLLA, "ヴァラーハ", "Varaha", "伐羅訶"];
MAG_DATA[KABANDA] = [ACT_INVINCIBLE, ACT_ASSIST, ACT_ASSIST, ACT_RESURRECT, 6, PB_MYLLA_YOULLA, "カバンダ", "Kabanda", "迦般達"];
MAG_DATA[DULGER] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 5, PB_ESTLLA, "ドゥルガー", "Dulger", "朶羅迦"];
MAG_DATA[MARICA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 6, PB_PILLA, "マーリーチャ", "Marica", "摩利支"];
MAG_DATA[NAGA] = [ACT_NONE, ACT_ASSIST, ACT_ASSIST, ACT_RESURRECT, 6, PB_MYLLA_YOULLA, "ナーガ", "Naga", "那迦"];
MAG_DATA[BHIRAVA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 4, PB_PILLA, "バイラヴァ", "Bhirava", "伐羅婆"];
MAG_DATA[KUMARA] = [ACT_RECOVER, ACT_RECOVER, ACT_RECOVER, ACT_RESURRECT, 4, PB_GOLLA, "クマーラ", "Kumara", "鳩摩羅"];
MAG_DATA[ILA] = [ACT_NONE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 5, PB_MYLLA_YOULLA, "イラー", "Ila", "翼羅"];
MAG_DATA[ANDHAKA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 6, PB_ESTLLA, "アンダカ", "Andhaka", "闇陀迦"];
MAG_DATA[NANDIN] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 5, PB_ESTLLA, "ナンディン", "Nandin", "難仃"];
MAG_DATA[USHASU] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 4, PB_GOLLA, "ウシャス", "Ushasu", "烏莎斯"];
MAG_DATA[NARAKA] = [ACT_RECOVER, ACT_RECOVER, ACT_RECOVER, ACT_RESURRECT, 6, PB_GOLLA, "ナラカ", "Naraka", "那羅迦"];
MAG_DATA[RAVANA] = [ACT_INVINCIBLE, ACT_ASSIST, ACT_ASSIST, ACT_RESURRECT, 6, PB_FARLLA, "ラーヴァナ", "Ravana", "羅伐那"];
MAG_DATA[RIBHAVA] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 5, PB_FARLLA, "リヴ", "Ribhava", "梨舞"];
MAG_DATA[SITA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 5, PB_PILLA, "シーター", "Sita", "悉多"];
//アイテム変化レアマグ
var SONICI = 36;
var PITRI = 37;
var CHUREL = 38;
var PRETA = 39;
var OPA_OPA = 40;
var PIAN = 41;
var CHAO = 42;
var ROBOCHAO = 43;
var CHU_CHU = 44;
var KAPU_KAPU = 45;
var ANGELS_WING = 46;
var DEVILS_WING = 47;
var DAVILS_TAIL = 48;
var PANZERS_TAIL = 49;
var HAMBURGER = 50;
var MARK3 = 51;
var MASTER_SYSTEM = 52;
var GENESIS = 53;
var SEGA_SATURN = 54;
var DREAMCAST = 55;
var ELENOR = 56;
MAG_DATA[SONICI] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 8, PB_NONE, "ソニチ", "Sonici", "音速兔"];
MAG_DATA[PITRI] = [ACT_RECOVER, ACT_RECOVER, ACT_RECOVER, ACT_RESURRECT, 8, PB_NONE, "ピトリ", "Pitri", "皮特利"];
MAG_DATA[CHUREL] = [ACT_RECOVER, ACT_RECOVER, ACT_RECOVER, ACT_RESURRECT, 8, PB_NONE, "チュレル", "Churel", "啾雷爾"];
MAG_DATA[PRETA] = [ACT_ASSIST, ACT_ASSIST, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "プレタ", "Preta", "普雷塔"];
MAG_DATA[OPA_OPA] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "オパオパ", "Opa-Opa", "歐帕歐帕"];
MAG_DATA[PIAN] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "ピアン", "Pian", "皮昴"];
MAG_DATA[CHAO] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "チャオ", "Chao", "巧兒"];
MAG_DATA[ROBOCHAO] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "オモチャオ", "Robochao", "巧兒娃娃"];
MAG_DATA[CHU_CHU] = [ACT_ASSIST, ACT_INVINCIBLE, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "チュウチュウ", "Chu Chu", "Chu Chu"];
MAG_DATA[KAPU_KAPU] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "カプカプ", "Kapu Kapu", "Kapu Kapu"];
MAG_DATA[ANGELS_WING] = [ACT_INVINCIBLE, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 8, PB_NONE, "天使のハネ", "Angel's Wing", "Angel's Wing"];
MAG_DATA[DEVILS_WING] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "悪魔のハネ", "Devil's Wing", "Devil's Wing"];
MAG_DATA[DAVILS_TAIL] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "悪魔のシッポ", "Davil's Tail", "Davil's Tail"];
MAG_DATA[PANZERS_TAIL] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "パンサーテイル", "Panzer's Tail", "Panzer's Tail"];
MAG_DATA[HAMBURGER] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "ハンバーガー", "Hamburger", "Hamburger"];
MAG_DATA[MARK3] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "マークIII", "Mark3", "Mark3"];
MAG_DATA[MASTER_SYSTEM] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "マスターシステム", "Master System", "Master System"];
MAG_DATA[GENESIS] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "メガドライブ", "Genesis", "Genesis"];
MAG_DATA[SEGA_SATURN] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "セガサターン", "Sega Saturn", "Sega Saturn"];
MAG_DATA[DREAMCAST] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "ドリームキャスト", "Dreamcast", "Dreamcast"];
MAG_DATA[ELENOR] = [ACT_NONE, ACT_NONE, ACT_NONE, ACT_NONE, 8, PB_NONE, "エルノア", "Elenor", "Elenor"];
//進化型レアマグ:Lv100-
var DEVA = 57;
var RATI = 58;
var SAVITRI = 59;
var PUSHAN = 60;
var RUKMIN = 61;
var DIWARI = 62;
var NIDRA = 63;
var SATO = 64;
var BHIMA = 65;
MAG_DATA[DEVA] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 5, PB_NONE, "デーヴァ", "Deva", "Deva"];
MAG_DATA[RATI] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 6, PB_NONE, "ラティ", "Rati", "Rati"];
MAG_DATA[SAVITRI] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 7, PB_NONE, "サヴィトリ", "Savitri", "Savitri"];
MAG_DATA[PUSHAN] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 6, PB_NONE, "プーシャン", "Pushan", "Pushan"];
MAG_DATA[RUKMIN] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_NONE, 5, PB_NONE, "ルクミン", "Rukmin", "Rukmin"];
MAG_DATA[DIWARI] = [ACT_ASSIST, ACT_RECOVER, ACT_ASSIST, ACT_RESURRECT, 7, PB_NONE, "ディヴァリー", "Diwari", "Diwari"];
MAG_DATA[NIDRA] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 7, PB_NONE, "ニドラー", "Nidra", "Nidra"];
MAG_DATA[SATO] = [ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_RESURRECT, 5, PB_NONE, "シャト", "Sato", "Sato"];
MAG_DATA[BHIMA] = [ACT_ASSIST, ACT_INVINCIBLE, ACT_INVINCIBLE, ACT_NONE, 6, PB_NONE, "ビーマ", "Bhima", "Bhima"];

//pow>dex>mind / pow>mind>dex / dex>pow>mind / dex>mind>pow / mind>pow>dex / mind>dex>pow
var MAG_EVOL_3RD = new Array();
MAG_EVOL_3RD[VARUNA] = [RUDRA, RUDRA, MARUTAH, MARUTAH, VAYU, VAYU];
MAG_EVOL_3RD[KALKI] = [SURYA, SURYA, MITRA, MITRA, TAPAS, TAPAS];
MAG_EVOL_3RD[VRITRA] = [SUMBA, SUMBA, ASHVINAU, ASHVINAU, NAMUCI, NAMUCI];
var MAG_EVOL_4TH = new Array();
//HUNTER=0;RANGER=1;FORCE=2;
MAG_EVOL_4TH[HUNTER] = [[VARAHA, KAMA], [BHIRAVA, APSARAS], [ILA, GARUDA], [NANDIN, YAKSA], [KABANDA, BANA], [USHASU, SOMA]];
MAG_EVOL_4TH[RANGER] = [[KAMA, MADU], [BHIRAVA, KAITABHA], [BHIRAVA, KAITABHA], [KAMA, VARAHA], [VARAHA, KABANDA], [APSARAS, DULGER]];
MAG_EVOL_4TH[FORCE] = [[NARAKA, MARICA], [RAVANA, NAGA], [RIBHAVA, GARUDA], [SITA, BHIRAVA], [NAGA, KUMARA], [KABANDA, ILA]];

var MAG_EVOL_RARE = new Array();
MAG_EVOL_RARE[0] = [[DEVA, SAVITRI], [PUSHAN, RUKMIN], [NIDRA, SATO]];
MAG_EVOL_RARE[1] = [[RATI, SAVITRI], [PUSHAN, RUKMIN], [NIDRA, BHIMA]];
MAG_EVOL_RARE[2] = [[RATI, SAVITRI], [PUSHAN, DIWARI], [NIDRA, BHIMA]];

//document.selection.Collapse();
//for(var i=0;i<3;i++) {
//	var s="<tr>\n\t";
//	for(var c=0;c<3;c++) {
//		for(var e=0;e<2;e++)
//			s+="<td>"+MAG_DATA[MAG_EVOL_RARE[i][c][e]][6]+"</td>";
//	}
//	s+="\n</tr>\n";
//	document.selection.Text=s;
//}
